.model_diagram
  display: grid
  grid-template-columns: 3fr 1fr 3fr 1fr 3fr
  grid-template-rows: 1fr 2rem
  align-items: center
  height: 150px
  grid-row-gap: 1rem
  text-align: center
  margin: 2rem
  --emph-bg: #{transparentize($color-primary, .8)}

  p
    margin: 0

  svg
    justify-self: center
    height: 2rem

.model_diagram__label
  align-self: stretch
  line-height: 2rem
  background: #f2f2f2
  color: inherit

.model_diagram__label--primary
  background: var(--emph-bg)
  color: darken($color-primary, 45%)

.model_diagram__input,
.model_diagram__output
  background: #fff
  border: 2px dotted #999
  height: 2.5rem
  line-height: 2.5rem
  border-radius: 1.25rem
  justify-self: center
  padding: 0 1.25rem
  color: inherit
  display: flex
  align-items: center

.model_diagram__model
  width: 6rem
  height: 6rem
  background: var(--emph-bg)
  display: flex
  align-self: center
  align-items: center
  justify-content: center
  justify-self: center
